Summary: qpsmtpd tnef to mime converter (SME7)
%define realname smeserver-qpsmtpd-tnef2mime
Name: %{realname}
%define version 1.0.0
Version: %{version}
%define release 01
Release: %{release}
License: GNU GPL (GNU General Public License)
Group: Mail
Source: %{realname}-%{version}.tar.gz
Packager: Michael Weinberger <mweinber@neddix.de>
Vendor: neddix IT Consulting und Services, Stuttgart, Germany
BuildRoot: /var/tmp/%{realname}-%{version}-buildroot/
BuildArch: noarch
Requires: e-smith-base >= 4.15.2
Requires: qpsmtpd >= 0.31
Requires: perl-Convert-TNEF
Requires: perl-IO-stringy
Requires: perl-File-MMagic
Requires: perl-MIME-tools
AutoReqProv: no

%description
Plugin that converts ms-tnef attachments (winmail.dat) and uuencoded attachments to MIME.

%changelog
* Wed Mar 15 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-01
- Roll stable stream version. [SME: 1016]

* Thu Feb 16 2006 Charlie Brady <charlieb@e-smith.com> 0.0.2-02
- Fix disabling of the plugin in template. [SME: 829]

* Mon Aug 29 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.2-0sme02
- Updated to qpsmtpd 0.31 and added dependency [SF: 1231314]
- Change plugins to /usr/share/qpsmtpd [SF: 1231314]
- Split Requires: lines for readability
- TODO: Merge into smeserver-qpsmtpd or qpsmtpd-plugins

* Wed Jul 13 2005 Shad Lords
- Update requires for e-smith-base
* Tue May 31 2005 Michael Weinberger
- Version 0.0.2
  uuencoded conversion fixed 
* Mon May 30 2005 Michael Weinberger
- initial release 0.0.1

%prep
%setup -q -n %{realname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)

rm -f %{name}-%{version}-filelist

find $RPM_BUILD_ROOT -depth -type f -print |\
 sed -e "s@^$RPM_BUILD_ROOT@@g" \
 -e "s@^/usr/lib/qpsmtpd/plugins/@%attr(0644,root,root) &@"\
 -e "s@^/etc/e-smith/templates/var/service/qpsmtpd/config/plugins/@%attr(0644,root,root) &@"\
 >> %{name}-%{version}-filelist
find $RPM_BUILD_ROOT -depth -type l -print |\
 sed "s@^$RPM_BUILD_ROOT@@g" >> %{name}-%{version}-filelist


%clean
rm -rf $RPM_BUILD_ROOT
exit 0

%pre
exit 0

%post
exit 0

%preun
exit 0

%postun
exit 0

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
